> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bulk Payout Batches

> List bulk payout batches belonging to the authenticated merchant

Returns batches in reverse creation order. `page` defaults to `1`; `size` defaults to `50` and is capped at `100`.

```bash theme={null}
curl --request GET \
  --url 'https://api-production.fossapay.com/api/v1/payouts/batches?page=1&size=50' \
  --header "x-api-key: $FOSSAPAY_API_KEY"
```

The response contains a `data` array and pagination `meta` with `page`, `size`, and `total`.


## OpenAPI

````yaml api-reference/openapi.json GET /api/v1/payouts/batches
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/payouts/batches:
    get:
      tags:
        - Bulk Payouts
      summary: List bulk payout batches
      operationId: ExternalPayoutController_listBatches
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Merchant batches retrieved in reverse creation order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkPayoutListResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Merchant is not eligible
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    BulkPayoutListResponse:
      type: object
      required:
        - data
        - meta
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BulkPayout'
        meta:
          type: object
          required:
            - page
            - size
            - total
          properties:
            page:
              type: integer
            size:
              type: integer
            total:
              type: integer
      additionalProperties: false
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    BulkPayout:
      type: object
      required:
        - id
        - reference
        - accountNumber
        - status
        - executionMode
        - totalRecipients
        - totalAmount
        - totalFee
        - totalDebit
        - failureReason
        - completedAt
        - failedAt
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          format: uuid
        reference:
          type: string
        accountNumber:
          type: string
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        executionMode:
          type: string
          enum:
            - IMMEDIATE
        totalRecipients:
          type: integer
        totalAmount:
          type: string
        totalFee:
          type: string
        totalDebit:
          type: string
        failureReason:
          type:
            - string
            - 'null'
        completedAt:
          type:
            - string
            - 'null'
          format: date-time
        failedAt:
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````